/// Not enough data to apply the filter. Required data scales with filter order.
/// Try again with a larger time range.
#[derive(
    Debug,
    Clone,
    conjure_object::serde::Serialize,
    conjure_object::serde::Deserialize,
    PartialEq,
    Eq,
    PartialOrd,
    Ord,
    Hash,
    Copy
)]
#[serde(crate = "conjure_object::serde")]
#[conjure_object::private::staged_builder::staged_builder]
#[builder(crate = conjure_object::private::staged_builder, update, inline)]
pub struct SignalFilterNotEnoughData {
    #[serde(rename = "requiredMinPoints")]
    required_min_points: i32,
    #[serde(rename = "lenPoints")]
    len_points: i32,
}
impl SignalFilterNotEnoughData {
    /// Constructs a new instance of the type.
    #[inline]
    pub fn new(required_min_points: i32, len_points: i32) -> Self {
        Self::builder()
            .required_min_points(required_min_points)
            .len_points(len_points)
            .build()
    }
    #[inline]
    pub fn required_min_points(&self) -> i32 {
        self.required_min_points
    }
    #[inline]
    pub fn len_points(&self) -> i32 {
        self.len_points
    }
}
impl conjure_error::ErrorType for SignalFilterNotEnoughData {
    #[inline]
    fn code() -> conjure_error::ErrorCode {
        conjure_error::ErrorCode::InvalidArgument
    }
    #[inline]
    fn name() -> &'static str {
        "Compute:SignalFilterNotEnoughData"
    }
    #[inline]
    fn safe_args() -> &'static [&'static str] {
        &["lenPoints", "requiredMinPoints"]
    }
}
